{% extends "index.html" %}
{% load staticfiles %}
{% block regis_login %}
<div id="modal_trigger" href="#" class="btn-login"><i class = "fa fa-sign-in"></i>
            
        {{username}}
        <div id="modal" class="popupContainer" style="display:block,z-index:99">
                        <header class="popupHeader">
                                <span class="header_title">Login</span>
                                <span class="modal_close" id="modal_close"><i class="fa fa-times"></i></span>
                        </header>
    
                        <section class="popupBody">
                                <!-- Social Login -->
                                <div class="social_login" style="display:none">
                                        <div class="">
                                                <a href="#" class="social_box fb">
                                                        <span class="icon"><i class="fa fa-facebook"></i></span>
                                                        <span class="icon_title">Kết nối bằng Facebook</span>
    
                                                </a>
    
                                                <a href="#" class="social_box google">
                                                        <span class="icon"><i class="fa fa-google-plus"></i></span>
                                                        <span class="icon_title">Kết nối bằng Google</span>
                                                </a>
                                        </div>
    
                                        <div class="centeredText">
                                                <span>Hoặc dùng tài khoản của bạn</span>
                                        </div>
    
                                        <div class="action_btns">
                                                <div class="one_half"><a href="#" id="login_form" class="btn">Login</a></div>
                                                <div class="one_half last"><a href="#" id="register_form" class="btn">Sign up</a></div>
                                        </div>
                                </div>
    
                                <!-- Username & Password Login form -->
                                <div class="user_login" style="display:none">
                                    
                                  <form  method="POST" action="{% url 'user_login' %}">
                                      {% csrf_token %}
                                      {# A more "HTML" way of creating the login form#}
                                      <label for="username">Tên tài khoản:</label>
                                      <input type="text" name="username" placeholder="Tên tài khoản">
                                      <label for="password">Mật khẩu:</label>
                                      <input type="password" name="password" placeholder="Mật khẩu">
                                                <div class="action_btns">
                                                        <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                                        <div class="one_half last"><input type="submit" class="btn btn_red" value="LogIn"></div>
                                                </div>
                                        </form>
    
                                        <a href="#" class="forgot_password">Forgot password?</a>
                                </div>
                        <!-- Register Form -->
                        <div class="user_register" style="display:block">
                                <form method="POST" action="{% url 'user_regis' %}">
                                        {% csrf_token %}
                                        {{ form.non_field_errors }}
                                        {% for field in form %}
                                        {% if field.errors %}
                                                <ul class="form-errors">
                                                {% for error in field.errors %}
                                                <li><span class="fa fa-exclamation-triangle"></span> <strong>{{ error|escape }}</strong></li>
                                                {% endfor %}
                                                </ul>
                                                {% endif %}
                                        {{ field.label_tag }} {{ field }} 
                                        {% endfor %}
                                        <!-- <label>Full Name</label>
                                        
                                        <input type="text" name="UserName" />

                                        <br />

                                        <label>Email Address</label>
                                        <input type="email" />
                                        <br />

                                        <label>Password</label>
                                        <input type="password" />
                                        <br />

                                        <div class="checkbox">
                                                <input id="send_updates" type="checkbox" />
                                                <label for="send_updates">Send me occasional email updates</label>
                                        </div> -->

                                        <div class="action_btns">
                                                <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                                <!-- <div class="one_half last"><a href="#" class="btn btn_red"> Register</a></div> -->
                                                <div class="one_half last"><input type="submit" class="btn btn_red" value="Register"></div> 
                                        </div>
                                </form>
                        </div>
                </section>
        </div>
</div>
{% endblock regis_login %}
<script src="{% static 'js/jquery.min.js' %}"></script>
<script type="text/javascript">

document.getElementById("modal_trigger").onclick = function() {
    document.getElementById("modal").style.display = "block";

};

document.getElementById("modal_close").onclick = function() {
    document.getElementById("modal").style.display = "none";

};

$(".modal_close").click(function() {
      $(".modal").hide();
    // $(".user_login").show();
      return false;
})
// Calling Login Form
$("#login_form").click(function() {
        $(".social_login").hide();
        $(".user_login").show();
        return false;
});

// Calling Register Form
$("#register_form").click(function() {
        $(".social_login").hide();
        $(".user_register").show();
        $(".header_title").text('Register');
        return false;
});

// Going back to Social Forms
$(".back_btn").click(function() {
        $(".user_login").hide();
        $(".user_register").hide();
        $(".social_login").show();
        $(".header_title").text('Login');
        return false;
});

</script>
